Subject: Re: bug#10670: `fullscreen' frame parameter ill-named

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 20 Jan 2021 18:29:19 +0100

Stefan Monnier <[email-masked]> writes:

> The frame parameter `fullscreen' is ill-named: I think that it should be
> renamed to `maximized' with accepted values nil, `vertical',
> `horizontal', `both', or `fullscreen'.

I think that makes sense, but I'm not sure just how we would deprecate
something like that.  We could introduce a `maximized' parameter and use
it in preference of `fullscreen', and add some special code to issue a
(run-time?) deprecation warning...  but I'm not sure the effort (on our
part) and pain (for the users) would be worth it.

Anybody got any opinions here?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no